aboutsummaryrefslogtreecommitdiff
path: root/libstdc++-v3
diff options
context:
space:
mode:
authorBenjamin Kosnik <bkoz@redhat.com>2008-04-25 16:52:57 +0000
committerBenjamin Kosnik <bkoz@gcc.gnu.org>2008-04-25 16:52:57 +0000
commit196d7c02345c176c1dd80c37297916493f9d34b6 (patch)
tree6c09decf6284da1b7471c6b5396da9aceb8709aa /libstdc++-v3
parent9bac43c080ef0dfd75cddecdc26dd7fa98dab4cd (diff)
Revert PR libstdc++/35887
2008-05-25 Benjamin Kosnik <bkoz@redhat.com> Revert PR libstdc++/35887 * configure.ac: Revert. * acinclude.m4: Same. * configure: Regenerate. * include/Makefile.am: Revert. * include/Makefile.in: Regenerate. From-SVN: r134671
Diffstat (limited to 'libstdc++-v3')
-rw-r--r--libstdc++-v3/ChangeLog9
-rw-r--r--libstdc++-v3/acinclude.m421
-rwxr-xr-xlibstdc++-v3/configure83
-rw-r--r--libstdc++-v3/configure.ac2
-rw-r--r--libstdc++-v3/include/Makefile.am4
-rw-r--r--libstdc++-v3/include/Makefile.in91
6 files changed, 104 insertions, 106 deletions
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 29d6ecc5042..09f95012b0c 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,12 @@
+2008-05-25 Benjamin Kosnik <bkoz@redhat.com>
+
+ Revert PR libstdc++/35887
+ * configure.ac: Revert.
+ * acinclude.m4: Same.
+ * configure: Regenerate.
+ * include/Makefile.am: Revert.
+ * include/Makefile.in: Regenerate.
+
2008-04-24 Benjamin Kosnik <bkoz@redhat.com>
PR libstdc++/35887
diff --git a/libstdc++-v3/acinclude.m4 b/libstdc++-v3/acinclude.m4
index 90385ed389a..3b06899694f 100644
--- a/libstdc++-v3/acinclude.m4
+++ b/libstdc++-v3/acinclude.m4
@@ -1666,18 +1666,23 @@ dnl + Usage: GLIBCXX_ENABLE_PARALLEL
dnl
AC_DEFUN([GLIBCXX_ENABLE_PARALLEL], [
+ # NB: libstdc++ may be configured before libgomp: can't check for the actual
+ # dependencies (omp.h and libgomp).
enable_parallel=no;
-
- # Check to see if OpenMP is explicitly disabled.
- AC_MSG_CHECKING([for libgomp support])
- GLIBCXX_ENABLE(libgomp,$1,,[enable code depending on libgomp],[permit yes|no])
- AC_MSG_RESULT([$enable_libgomp])
- if test x$enable_libgomp = xno; then
- enable_parallel=no
+ if test -f $glibcxx_builddir/../libgomp/omp.h; then
+ enable_parallel=yes;
else
- enable_parallel=yes
+ AC_MSG_NOTICE([$glibcxx_builddir/../libgomp/omp.h not found])
fi
+ # Check to see if it's explicitly disabled.
+# GLIBCXX_ENABLE(libgomp,$1,,[enable code depending on libgomp],
+# [permit yes|no])
+
+# if test x$enable_libgomp = xno; then
+# enable_parallel=no
+# fi
+
AC_MSG_CHECKING([for parallel mode support])
AC_MSG_RESULT([$enable_parallel])
GLIBCXX_CONDITIONAL(ENABLE_PARALLEL, test $enable_parallel = yes)
diff --git a/libstdc++-v3/configure b/libstdc++-v3/configure
index 93575e7a606..59eb49ead4a 100755
--- a/libstdc++-v3/configure
+++ b/libstdc++-v3/configure
@@ -1045,7 +1045,6 @@ Optional Features:
[default="-g3 -O0"]
--enable-libstdcxx-debug
build extra debug library [default=no]
- --enable-libgomp enable code depending on libgomp [default=yes]
--enable-cxx-flags=FLAGS
pass compiler FLAGS when building library
[default=]
@@ -4646,13 +4645,13 @@ if test "${lt_cv_nm_interface+set}" = set; then
else
lt_cv_nm_interface="BSD nm"
echo "int some_variable = 0;" > conftest.$ac_ext
- (eval echo "\"\$as_me:4649: $ac_compile\"" >&5)
+ (eval echo "\"\$as_me:4648: $ac_compile\"" >&5)
(eval "$ac_compile" 2>conftest.err)
cat conftest.err >&5
- (eval echo "\"\$as_me:4652: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+ (eval echo "\"\$as_me:4651: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
(eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
cat conftest.err >&5
- (eval echo "\"\$as_me:4655: output\"" >&5)
+ (eval echo "\"\$as_me:4654: output\"" >&5)
cat conftest.out >&5
if $GREP 'External.*some_variable' conftest.out > /dev/null; then
lt_cv_nm_interface="MS dumpbin"
@@ -5696,7 +5695,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 5699 "configure"' > conftest.$ac_ext
+ echo '#line 5698 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -7158,11 +7157,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7161: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7160: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7165: \$? = $ac_status" >&5
+ echo "$as_me:7164: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7480,11 +7479,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7483: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7482: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7487: \$? = $ac_status" >&5
+ echo "$as_me:7486: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7585,11 +7584,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7588: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7587: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:7592: \$? = $ac_status" >&5
+ echo "$as_me:7591: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -7640,11 +7639,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7643: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7642: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:7647: \$? = $ac_status" >&5
+ echo "$as_me:7646: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -10492,7 +10491,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 10495 "configure"
+#line 10494 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -10592,7 +10591,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 10595 "configure"
+#line 10594 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12630,11 +12629,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12633: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12632: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:12637: \$? = $ac_status" >&5
+ echo "$as_me:12636: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -12729,11 +12728,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12732: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12731: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12736: \$? = $ac_status" >&5
+ echo "$as_me:12735: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -12781,11 +12780,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12784: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12783: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12788: \$? = $ac_status" >&5
+ echo "$as_me:12787: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -13830,7 +13829,7 @@ fi;
#
# Fake what AC_TRY_COMPILE does. XXX Look at redoing this new-style.
cat > conftest.$ac_ext << EOF
-#line 13833 "configure"
+#line 13832 "configure"
struct S { ~S(); };
void bar();
void foo()
@@ -16886,34 +16885,24 @@ echo "${ECHO_T}$enable_libstdcxx_debug" >&6
+ # NB: libstdc++ may be configured before libgomp: can't check for the actual
+ # dependencies (omp.h and libgomp).
enable_parallel=no;
-
- # Check to see if OpenMP is explicitly disabled.
- echo "$as_me:$LINENO: checking for libgomp support" >&5
-echo $ECHO_N "checking for libgomp support... $ECHO_C" >&6
- # Check whether --enable-libgomp or --disable-libgomp was given.
-if test "${enable_libgomp+set}" = set; then
- enableval="$enable_libgomp"
-
- case "$enableval" in
- yes|no) ;;
- *) { { echo "$as_me:$LINENO: error: Unknown argument to enable/disable libgomp" >&5
-echo "$as_me: error: Unknown argument to enable/disable libgomp" >&2;}
- { (exit 1); exit 1; }; } ;;
- esac
-
-else
- enable_libgomp=yes
-fi;
-
- echo "$as_me:$LINENO: result: $enable_libgomp" >&5
-echo "${ECHO_T}$enable_libgomp" >&6
- if test x$enable_libgomp = xno; then
- enable_parallel=no
+ if test -f $glibcxx_builddir/../libgomp/omp.h; then
+ enable_parallel=yes;
else
- enable_parallel=yes
+ { echo "$as_me:$LINENO: $glibcxx_builddir/../libgomp/omp.h not found" >&5
+echo "$as_me: $glibcxx_builddir/../libgomp/omp.h not found" >&6;}
fi
+ # Check to see if it's explicitly disabled.
+# GLIBCXX_ENABLE(libgomp,,,[enable code depending on libgomp],
+# [permit yes|no])
+
+# if test x$enable_libgomp = xno; then
+# enable_parallel=no
+# fi
+
echo "$as_me:$LINENO: checking for parallel mode support" >&5
echo $ECHO_N "checking for parallel mode support... $ECHO_C" >&6
echo "$as_me:$LINENO: result: $enable_parallel" >&5
@@ -17025,7 +17014,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
# Fake what AC_TRY_COMPILE does. XXX Look at redoing this new-style.
cat > conftest.$ac_ext << EOF
-#line 17028 "configure"
+#line 17017 "configure"
int main()
{
// NB: _Atomic_word not necessarily int.
diff --git a/libstdc++-v3/configure.ac b/libstdc++-v3/configure.ac
index 3677e0acfb2..ea21a298d34 100644
--- a/libstdc++-v3/configure.ac
+++ b/libstdc++-v3/configure.ac
@@ -107,7 +107,7 @@ GLIBCXX_ENABLE_C99([yes])
GLIBCXX_ENABLE_CONCEPT_CHECKS([no])
GLIBCXX_ENABLE_DEBUG_FLAGS(["-g3 -O0"])
GLIBCXX_ENABLE_DEBUG([no])
-GLIBCXX_ENABLE_PARALLEL([yes])
+GLIBCXX_ENABLE_PARALLEL
GLIBCXX_ENABLE_CXX_FLAGS
GLIBCXX_ENABLE_FULLY_DYNAMIC_STRING([no])
diff --git a/libstdc++-v3/include/Makefile.am b/libstdc++-v3/include/Makefile.am
index 275648d94ab..ec48b18f78f 100644
--- a/libstdc++-v3/include/Makefile.am
+++ b/libstdc++-v3/include/Makefile.am
@@ -702,7 +702,6 @@ debug_headers = \
# Parallel mode headers
parallel_srcdir = ${glibcxx_srcdir}/include/parallel
parallel_builddir = ./parallel
-if ENABLE_PARALLEL
parallel_headers = \
${parallel_srcdir}/algorithm \
${parallel_srcdir}/algobase.h \
@@ -748,9 +747,6 @@ parallel_headers = \
${parallel_srcdir}/types.h \
${parallel_srcdir}/unique_copy.h \
${parallel_srcdir}/workstealing.h
-else
-parallel_headers =
-endif
# Some of the different "C" header models need extra files.
diff --git a/libstdc++-v3/include/Makefile.in b/libstdc++-v3/include/Makefile.in
index 249b0018ae1..849bb3801bd 100644
--- a/libstdc++-v3/include/Makefile.in
+++ b/libstdc++-v3/include/Makefile.in
@@ -944,52 +944,51 @@ debug_headers = \
# Parallel mode headers
parallel_srcdir = ${glibcxx_srcdir}/include/parallel
parallel_builddir = ./parallel
-@ENABLE_PARALLEL_FALSE@parallel_headers =
-@ENABLE_PARALLEL_TRUE@parallel_headers = \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/algorithm \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/algobase.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/algo.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/algorithm \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/algorithmfwd.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/balanced_quicksort.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/base.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/basic_iterator.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/checkers.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/compatibility.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/compiletime_settings.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/equally_split.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/features.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/find.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/find_selectors.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/for_each.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/for_each_selectors.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/iterator.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/list_partition.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/losertree.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/merge.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/multiseq_selection.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/multiway_merge.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/multiway_mergesort.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/numeric \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/numericfwd.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/omp_loop.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/omp_loop_static.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/parallel.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/par_loop.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/partial_sum.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/partition.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/queue.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/quicksort.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/random_number.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/random_shuffle.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/search.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/set_operations.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/settings.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/sort.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/tags.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/types.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/unique_copy.h \
-@ENABLE_PARALLEL_TRUE@ ${parallel_srcdir}/workstealing.h
+parallel_headers = \
+ ${parallel_srcdir}/algorithm \
+ ${parallel_srcdir}/algobase.h \
+ ${parallel_srcdir}/algo.h \
+ ${parallel_srcdir}/algorithm \
+ ${parallel_srcdir}/algorithmfwd.h \
+ ${parallel_srcdir}/balanced_quicksort.h \
+ ${parallel_srcdir}/base.h \
+ ${parallel_srcdir}/basic_iterator.h \
+ ${parallel_srcdir}/checkers.h \
+ ${parallel_srcdir}/compatibility.h \
+ ${parallel_srcdir}/compiletime_settings.h \
+ ${parallel_srcdir}/equally_split.h \
+ ${parallel_srcdir}/features.h \
+ ${parallel_srcdir}/find.h \
+ ${parallel_srcdir}/find_selectors.h \
+ ${parallel_srcdir}/for_each.h \
+ ${parallel_srcdir}/for_each_selectors.h \
+ ${parallel_srcdir}/iterator.h \
+ ${parallel_srcdir}/list_partition.h \
+ ${parallel_srcdir}/losertree.h \
+ ${parallel_srcdir}/merge.h \
+ ${parallel_srcdir}/multiseq_selection.h \
+ ${parallel_srcdir}/multiway_merge.h \
+ ${parallel_srcdir}/multiway_mergesort.h \
+ ${parallel_srcdir}/numeric \
+ ${parallel_srcdir}/numericfwd.h \
+ ${parallel_srcdir}/omp_loop.h \
+ ${parallel_srcdir}/omp_loop_static.h \
+ ${parallel_srcdir}/parallel.h \
+ ${parallel_srcdir}/par_loop.h \
+ ${parallel_srcdir}/partial_sum.h \
+ ${parallel_srcdir}/partition.h \
+ ${parallel_srcdir}/queue.h \
+ ${parallel_srcdir}/quicksort.h \
+ ${parallel_srcdir}/random_number.h \
+ ${parallel_srcdir}/random_shuffle.h \
+ ${parallel_srcdir}/search.h \
+ ${parallel_srcdir}/set_operations.h \
+ ${parallel_srcdir}/settings.h \
+ ${parallel_srcdir}/sort.h \
+ ${parallel_srcdir}/tags.h \
+ ${parallel_srcdir}/types.h \
+ ${parallel_srcdir}/unique_copy.h \
+ ${parallel_srcdir}/workstealing.h
@GLIBCXX_C_HEADERS_EXTRA_FALSE@c_base_headers_extra =